import 'package:fis_jsonrpc/rpc.dart';

class DiagnosisServiceMock extends VitalDiagnosisService {
  DiagnosisServiceMock(super.host);

  @override
  Future<bool> syncPatientAndDiagnosisDataAsync(
      SyncPatientAndDiagnosisDataRequest request) async {
    return true;
  }

  @override
  Future<PageCollection<DiagnosisAggregationRecord>>
      getDiagnosisAggregationPageAsync(DiagnosisPageRequest request) async {
    // 无数据
    final result = PageCollection<DiagnosisAggregationRecord>(
      dataCount: 0,
      pageIndex: request.pageIndex,
      pageSize: request.pageSize,
      pageData: [],
    );
    return result;
  }
}
